# The configurations that used for the recording, feel free to edit them
config:

  # Specify a command to be executed
  # like `/bin/bash -l`, `ls`, or any other commands
  # the default is bash for Linux
  # or powershell.exe for Windows
  command: bash -l
  
  # Specify the current working directory path
  # the default is the current working directory path
  cwd: ~
  
  # Export additional ENV variables
  env:
    recording: true
  
  # Explicitly set the number of columns
  # or use `auto` to take the current
  # number of columns of your shell
  cols: 40
  
  # Explicitly set the number of rows
  # or use `auto` to take the current
  # number of rows of your shell
  rows: 6
  
  # Amount of times to repeat GIF
  # If value is -1, play once
  # If value is 0, loop indefinitely
  # If value is a positive number, loop n times
  repeat: 0
  
  # Quality
  # 1 - 100
  quality: 100
  
  # Delay between frames in ms
  # If the value is `auto` use the actual recording delays
  frameDelay: auto
  
  # Maximum delay between frames in ms
  # Ignored if the `frameDelay` isn't set to `auto`
  # Set to `auto` to prevent limiting the max idle time
  maxIdleTime: 700
  
  # The surrounding frame box
  # The `type` can be null, window, floating, or solid`
  # To hide the title use the value null
  # Don't forget to add a backgroundColor style with a null as type
  frameBox:
    type: floating
    title: Terminalizer
    style:
      border: 0px black solid
      # boxShadow: none
      # margin: 0px
  
  # Add a watermark image to the rendered gif
  # You need to specify an absolute path for
  # the image on your machine or a URL, and you can also
  # add your own CSS styles
  watermark:
    imagePath: null
    style:
      position: absolute
      right: 15px
      bottom: 15px
      width: 100px
      opacity: 0.9
  
  # Cursor style can be one of
  # `block`, `underline`, or `bar`
  cursorStyle: block
  
  # Font family
  # You can use any font that is installed on your machine
  # in CSS-like syntax
  fontFamily: "Monaco, Lucida Console, Ubuntu Mono, Monospace"
  
  # The size of the font
  fontSize: 12
  
  # The height of lines
  lineHeight: 1
  
  # The spacing between letters
  letterSpacing: 0
  
  # Theme
  theme:
    background: "transparent"
    foreground: "#afafaf"
    cursor: "#c7c7c7"
    black: "#232628"
    red: "#fc4384"
    green: "#b3e33b"
    yellow: "#ffa727"
    blue: "#75dff2"
    magenta: "#ae89fe"
    cyan: "#708387"
    white: "#d5d5d0"
    brightBlack: "#626566"
    brightRed: "#ff7fac"
    brightGreen: "#c8ed71"
    brightYellow: "#ebdf86"
    brightBlue: "#75dff2"
    brightMagenta: "#ae89fe"
    brightCyan: "#b1c6ca"
    brightWhite: "#f9f9f4"
  
# Records, feel free to edit them
records:
  - delay: 1037
    content: "\e[32m?\e[39m \e[1mEnter colors\e[22m\e[0m \e[0m(Press \e[36m\e[1m<space>\e[22m\e[39m to select, or type anything to filter the list)\r\n\e[36m❯\e[39m\e[32m◉\e[39m \e[90mThe red color\e[39m\r\n - The blue color (Disabled)\r\n ◯ The green color\r\n \e[32m◉\e[39m The yellow color\r\n ◯ The black color\e[18D\e[18C\e[?25l\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[G\e[32m?\e[39m \e[1mEnter colors\e[22m\e[0m \e[0m\r\n\e[36m❯\e[39m\e[32m◉\e[39m \e[90mThe red color\e[39m\r\n - The blue color (Disabled)\r\n ◯ The green color\r\n \e[32m◉\e[39m The yellow color\r\n ◯ The black color\e[18D\e[18C"
  - delay: 1899
    content: "\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[G\e[32m?\e[39m \e[1mEnter colors\e[22m\e[0m \e[0m\r\n \e[32m◉\e[39m The red color\r\n - The blue color (Disabled)\r\n\e[36m❯\e[39m◯ \e[90mThe green color\e[39m\r\n \e[32m◉\e[39m The yellow color\r\n ◯ The black color\e[18D\e[18C\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[G\e[32m?\e[39m \e[1mEnter colors\e[22m\e[0m \e[0m\r\n \e[32m◉\e[39m The red color\r\n - The blue color (Disabled)\r\n\e[36m❯\e[39m◯ \e[90mThe green color\e[39m\r\n \e[32m◉\e[39m The yellow color\r\n ◯ The black color\e[18D\e[18C\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[G\e[32m?\e[39m \e[1mEnter colors\e[22m\e[0m \e[0m\r\n \e[32m◉\e[39m The red color\r\n - The blue color (Disabled)\r\n\e[36m❯\e[39m◯ \e[90mThe green color\e[39m\r\n \e[32m◉\e[39m The yellow color\r\n ◯ The black color\e[18D\e[18C"
  - delay: 131
    content: "\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[G\e[32m?\e[39m \e[1mEnter colors\e[22m\e[0m \e[0m\r\n \e[32m◉\e[39m The red color\r\n - The blue color (Disabled)\r\n ◯ The green color\r\n\e[36m❯\e[39m\e[32m◉\e[39m \e[90mThe yellow color\e[39m\r\n ◯ The black color\e[18D\e[18C\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[G\e[32m?\e[39m \e[1mEnter colors\e[22m\e[0m \e[0m\r\n \e[32m◉\e[39m The red color\r\n - The blue color (Disabled)\r\n ◯ The green color\r\n\e[36m❯\e[39m\e[32m◉\e[39m \e[90mThe yellow color\e[39m\r\n ◯ The black color\e[18D\e[18C\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[G\e[32m?\e[39m \e[1mEnter colors\e[22m\e[0m \e[0m\r\n \e[32m◉\e[39m The red color\r\n - The blue color (Disabled)\r\n ◯ The green color\r\n\e[36m❯\e[39m\e[32m◉\e[39m \e[90mThe yellow color\e[39m\r\n ◯ The black color\e[18D\e[18C"
  - delay: 138
    content: "\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[G\e[32m?\e[39m \e[1mEnter colors\e[22m\e[0m \e[0m\r\n \e[32m◉\e[39m The red color\r\n - The blue color (Disabled)\r\n ◯ The green color\r\n \e[32m◉\e[39m The yellow color\r\n\e[36m❯\e[39m◯ \e[90mThe black color\e[39m\e[18D\e[18C\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[G\e[32m?\e[39m \e[1mEnter colors\e[22m\e[0m \e[0m\r\n \e[32m◉\e[39m The red color\r\n - The blue color (Disabled)\r\n ◯ The green color\r\n \e[32m◉\e[39m The yellow color\r\n\e[36m❯\e[39m◯ \e[90mThe black color\e[39m\e[18D\e[18C\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[G\e[32m?\e[39m \e[1mEnter colors\e[22m\e[0m \e[0m\r\n \e[32m◉\e[39m The red color\r\n - The blue color (Disabled)\r\n ◯ The green color\r\n \e[32m◉\e[39m The yellow color\r\n\e[36m❯\e[39m◯ \e[90mThe black color\e[39m\e[18D\e[18C"
  - delay: 912
    content: "\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[G\e[32m?\e[39m \e[1mEnter colors\e[22m\e[0m \e[0m\r\n \e[32m◉\e[39m The red color\r\n - The blue color (Disabled)\r\n ◯ The green color\r\n \e[32m◉\e[39m The yellow color\r\n\e[36m❯\e[39m◯ \e[90mThe black color\e[39m\e[18D\e[18C\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[G\e[32m?\e[39m \e[1mEnter colors\e[22m\e[0m \e[0m\r\n \e[32m◉\e[39m The red color\r\n - The blue color (Disabled)\r\n ◯ The green color\r\n \e[32m◉\e[39m The yellow color\r\n\e[36m❯\e[39m\e[32m◉\e[39m \e[90mThe black color\e[39m\e[18D\e[18C\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[G\e[32m?\e[39m \e[1mEnter colors\e[22m\e[0m \e[0m\r\n \e[32m◉\e[39m The red color\r\n - The blue color (Disabled)\r\n ◯ The green color\r\n \e[32m◉\e[39m The yellow color\r\n\e[36m❯\e[39m\e[32m◉\e[39m \e[90mThe black color\e[39m\e[18D\e[18C"
  - delay: 811
    content: "\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[G\e[32m?\e[39m \e[1mEnter colors\e[22m\e[0m \e[0mr\r\n  \e[36mSearching...\e[39m\e[14D\e[14C\e[2K\e[1A\e[2K\e[G\e[32m?\e[39m \e[1mEnter colors\e[22m\e[0m \e[0mr\r\n  \e[36mSearching...\e[39m\e[14D\e[14C\e[2K\e[1A\e[2K\e[G\e[32m?\e[39m \e[1mEnter colors\e[22m\e[0m \e[0mr\r\n\e[36m❯\e[39m\e[32m◉\e[39m \e[90mThe red color\e[39m\r\n - The blue color (Disabled)\r\n ◯ The green color\r\n \e[32m◉\e[39m The yellow color\r\n \e[32m◉\e[39m The black color\e[18D\e[18C"
  - delay: 46
    content: "\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[G\e[32m?\e[39m \e[1mEnter colors\e[22m\e[0m \e[0mre\r\n  \e[36mSearching...\e[39m\e[14D\e[14C\e[2K\e[1A\e[2K\e[G\e[32m?\e[39m \e[1mEnter colors\e[22m\e[0m \e[0mre\r\n  \e[36mSearching...\e[39m\e[14D\e[14C\e[2K\e[1A\e[2K\e[G\e[32m?\e[39m \e[1mEnter colors\e[22m\e[0m \e[0mre\r\n\e[36m❯\e[39m\e[32m◉\e[39m \e[90mThe red color\e[39m\r\n ◯ The green color\e[18D\e[18C"
  - delay: 425
    content: "\e[2K\e[1A\e[2K\e[1A\e[2K\e[G\e[32m?\e[39m \e[1mEnter colors\e[22m\e[0m \e[0mred\r\n  \e[36mSearching...\e[39m\e[14D\e[14C\e[2K\e[1A\e[2K\e[G\e[32m?\e[39m \e[1mEnter colors\e[22m\e[0m \e[0mred\r\n  \e[36mSearching...\e[39m\e[14D\e[14C\e[2K\e[1A\e[2K\e[G\e[32m?\e[39m \e[1mEnter colors\e[22m\e[0m \e[0mred\r\n\e[36m❯\e[39m\e[32m◉\e[39m \e[90mThe red color\e[39m\e[16D\e[16C"
  - delay: 631
    content: "\e[2K\e[1A\e[2K\e[G\e[32m?\e[39m \e[1mEnter colors\e[22m\e[0m \e[0mred\r\n\e[36m❯\e[39m\e[32m◉\e[39m \e[90mThe red color\e[39m\e[16D\e[16C\e[2K\e[1A\e[2K\e[G\e[32m?\e[39m \e[1mEnter colors\e[22m\e[0m \e[0mred\r\n\e[36m❯\e[39m◯ \e[90mThe red color\e[39m\e[16D\e[16C\e[2K\e[1A\e[2K\e[G\e[32m?\e[39m \e[1mEnter colors\e[22m\e[0m \e[0mred\r\n\e[36m❯\e[39m◯ \e[90mThe red color\e[39m\e[16D\e[16C"
  - delay: 442
    content: "\e[2K\e[1A\e[2K\e[G\e[32m?\e[39m \e[1mEnter colors\e[22m\e[0m \e[0mred\r\n\e[36m❯\e[39m◯ \e[90mThe red color\e[39m\e[16D\e[16C\e[2K\e[1A\e[2K\e[G\e[32m?\e[39m \e[1mEnter colors\e[22m\e[0m \e[0mred\r\n\e[36m❯\e[39m◯ \e[90mThe red color\e[39m\e[16D\e[16C"
  - delay: 152
    content: "\e[2K\e[1A\e[2K\e[G\e[32m?\e[39m \e[1mEnter colors\e[22m\e[0m \e[0mred\r\n\e[36m❯\e[39m◯ \e[90mThe red color\e[39m\e[16D\e[16C\e[2K\e[1A\e[2K\e[G\e[32m?\e[39m \e[1mEnter colors\e[22m\e[0m \e[0mred\r\n\e[36m❯\e[39m◯ \e[90mThe red color\e[39m\e[16D\e[16C"
  - delay: 152
    content: "\e[2K\e[1A\e[2K\e[G\e[32m?\e[39m \e[1mEnter colors\e[22m\e[0m \e[0mre\r\n  \e[36mSearching...\e[39m\e[14D\e[14C\e[2K\e[1A\e[2K\e[G\e[32m?\e[39m \e[1mEnter colors\e[22m\e[0m \e[0mre\r\n  \e[36mSearching...\e[39m\e[14D\e[14C\e[2K\e[1A\e[2K\e[G\e[32m?\e[39m \e[1mEnter colors\e[22m\e[0m \e[0mre\r\n\e[36m❯\e[39m◯ \e[90mThe red color\e[39m\r\n ◯ The green color\e[18D\e[18C"
  - delay: 151
    content: "\e[2K\e[1A\e[2K\e[1A\e[2K\e[G\e[32m?\e[39m \e[1mEnter colors\e[22m\e[0m \e[0mr\r\n  \e[36mSearching...\e[39m\e[14D\e[14C\e[2K\e[1A\e[2K\e[G\e[32m?\e[39m \e[1mEnter colors\e[22m\e[0m \e[0mr\r\n  \e[36mSearching...\e[39m\e[14D\e[14C\e[2K\e[1A\e[2K\e[G\e[32m?\e[39m \e[1mEnter colors\e[22m\e[0m \e[0mr\r\n\e[36m❯\e[39m◯ \e[90mThe red color\e[39m\r\n - The blue color (Disabled)\r\n ◯ The green color\r\n \e[32m◉\e[39m The yellow color\r\n \e[32m◉\e[39m The black color\e[18D\e[18C"
  - delay: 171
    content: "\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[G\e[32m?\e[39m \e[1mEnter colors\e[22m\e[0m \e[0m\r\n  \e[36mSearching...\e[39m\e[14D\e[14C\e[2K\e[1A\e[2K\e[G\e[32m?\e[39m \e[1mEnter colors\e[22m\e[0m \e[0m\r\n  \e[36mSearching...\e[39m\e[14D\e[14C\e[2K\e[1A\e[2K\e[G\e[32m?\e[39m \e[1mEnter colors\e[22m\e[0m \e[0m\r\n\e[36m❯\e[39m◯ \e[90mThe red color\e[39m\r\n - The blue color (Disabled)\r\n ◯ The green color\r\n \e[32m◉\e[39m The yellow color\r\n \e[32m◉\e[39m The black color\e[18D\e[18C"
  - delay: 1495
    content: "\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[1A\e[2K\e[G\e[32m?\e[39m \e[1mEnter colors\e[22m\e[0m \e[0m\e[36myellow, black\e[39m\e[28D\e[28C\r\n\e[?25h[ \e[32m'yellow'\e[39m, \e[32m'black'\e[39m ]\r\n\e[?25h"
